Subject: Re: icmp_unreachable uses wrong ip

From: Hasso Tepper <[email-masked]>
Date: Tue, 3 May 2005 09:44:48 +0300

Patrick McHardy wrote:
> Hasso Tepper wrote:
> > Patrick McHardy wrote:
> >>Why can't you simply add the prefered source address to the route?
> >
> > Because I don't know what it is. Router A knows what's the best path
> > from router A to router B, but he can't know (at least in cases where
> > there are more than 1 path between them) what's the best path from
> > router B to router A. Therefore you canät say which one is incoming
> > interface in router A for traffic from router B. And even if you know
> > it in some moment, topology might change in next moment (dynamic
> > routing) etc.
>
> Your patch can't guarantee that the address used is the same that was
> used as nexthop by the previous hop in the path when multiple addresses
> are configured on the incoming interface. So I don't think it achieves
> much of your goal of making debugging complicated topologies easier.

At first I don't care what was used as nexthop. I want to know which 
physical link was used. Having multiple addresses in the same link is more 
corner case in core network anyway.

And can you explain what theoretical possibilities router has to obtain info 
what address was used as nexthop by neighbour?

regards,

-- 
Hasso Tepper
Elion Enterprises Ltd.
WAN administrator